Package org.apache.storm.daemon.ui.exceptionmappers

## Class ExceptionMapperUtils

- java.lang.Object
- - org.apache.storm.daemon.ui.exceptionmappers.ExceptionMapperUtils

-     public class ExceptionMapperUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionMapperUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static jakarta.ws.rs.core.Response` | `getResponse​(Exception ex, jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)` | getResponse.
    `static jakarta.ws.rs.core.Response` | `getResponse​(Exception ex, jakarta.ws.rs.core.Response.Status responseStatus, jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)` | getResponse.
    `static jakarta.ws.rs.core.Response` | `getResponse​(AuthorizationException ex, jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)` | getResponse.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionMapperUtils

          public ExceptionMapperUtils()

  - ### Method Detail

    - #### getResponse

          public static jakarta.ws.rs.core.Response getResponse​(Exception ex,
                                                                jakarta.ws.rs.core.Response.Status responseStatus,
                                                                jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)

      getResponse.
      Parameters:
        `ex` - ex
        `responseStatus` - responseStatus
      Returns:
        getResponse

    - #### getResponse

          public static jakarta.ws.rs.core.Response getResponse​(AuthorizationException ex,
                                                                jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)

      getResponse.
      Parameters:
        `ex` - ex
        `request` - request
      Returns:
        getResponse

    - #### getResponse

          public static jakarta.ws.rs.core.Response getResponse​(Exception ex,
                                                                jakarta.inject.Provider<jakarta.servlet.http.HttpServletRequest> request)

      getResponse.
      Parameters:
        `ex` - ex
      Returns:
        getResponse